curl --request GET \
--url https://api.withflex.com/v1/consumer/orders/{id}/receipt \
--header 'Authorization: Bearer <token>'{
"receipt": {
"receipt_id": "<string>",
"partner": {
"partner_id": "<string>",
"name": "<string>",
"website_url": "<string>",
"description": "<string>"
},
"customer": {
"customer_id": "fcus_01HACM7FZ1084XB1GB6053VM0D",
"first_name": "John",
"last_name": "Doe",
"email": "joh.doe@example.com",
"created_at": "<string>",
"test_mode": true,
"phone": "+15555555555",
"employer": "Flex",
"shipping": {
"shipping_address_id": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"metadata": {}
},
"data": {
"totals": {
"amount_total": 123,
"amount_subtotal": 123,
"amount_tax": 123,
"amount_shipping": 123,
"amount_discount": 123,
"amount_fee": 123
},
"payment_methods": [
{
"payment_method_id": "<string>",
"card_funding": "credit",
"card_brand": "american_express",
"last4": "<string>"
}
],
"line_items": [
{
"product_id": "<string>",
"price_id": "<string>",
"name": "<string>",
"quantity": 123,
"unit_amount": 123,
"eligibility": "not_eligible",
"description": "<string>",
"recurring": {
"interval": "daily",
"interval_count": 1,
"trial_period_days": 1
}
}
],
"fees": [
{
"fee_id": "<string>",
"fee_type": "lmn_consultation",
"amount": 123,
"name": "<string>",
"description": "<string>"
}
],
"charges": [
{
"timestamp": "<string>",
"amount": 123,
"payment_method_id": "<string>",
"payment_intent_id": "<string>",
"refund_id": "<string>"
}
]
},
"created_at": "<string>",
"test_mode": true,
"checkout_session_id": "<string>",
"invoice_id": "<string>"
}
}Lists the receipts for the given consumer
curl --request GET \
--url https://api.withflex.com/v1/consumer/orders/{id}/receipt \
--header 'Authorization: Bearer <token>'{
"receipt": {
"receipt_id": "<string>",
"partner": {
"partner_id": "<string>",
"name": "<string>",
"website_url": "<string>",
"description": "<string>"
},
"customer": {
"customer_id": "fcus_01HACM7FZ1084XB1GB6053VM0D",
"first_name": "John",
"last_name": "Doe",
"email": "joh.doe@example.com",
"created_at": "<string>",
"test_mode": true,
"phone": "+15555555555",
"employer": "Flex",
"shipping": {
"shipping_address_id": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"metadata": {}
},
"data": {
"totals": {
"amount_total": 123,
"amount_subtotal": 123,
"amount_tax": 123,
"amount_shipping": 123,
"amount_discount": 123,
"amount_fee": 123
},
"payment_methods": [
{
"payment_method_id": "<string>",
"card_funding": "credit",
"card_brand": "american_express",
"last4": "<string>"
}
],
"line_items": [
{
"product_id": "<string>",
"price_id": "<string>",
"name": "<string>",
"quantity": 123,
"unit_amount": 123,
"eligibility": "not_eligible",
"description": "<string>",
"recurring": {
"interval": "daily",
"interval_count": 1,
"trial_period_days": 1
}
}
],
"fees": [
{
"fee_id": "<string>",
"fee_type": "lmn_consultation",
"amount": 123,
"name": "<string>",
"description": "<string>"
}
],
"charges": [
{
"timestamp": "<string>",
"amount": 123,
"payment_method_id": "<string>",
"payment_intent_id": "<string>",
"refund_id": "<string>"
}
]
},
"created_at": "<string>",
"test_mode": true,
"checkout_session_id": "<string>",
"invoice_id": "<string>"
}
}